Index: code/branches/buildsystem2/visual_studio/vc8/base.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/base.vsprops	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/base.vsprops	(revision 2509)
@@ -8,6 +8,6 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI"
+		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1\ceguilua&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;;&quot;$(LibDir)lua-5.1.3\include&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL;TIXML_USE_TICPP;_CRT_SECURE_NO_WARNINGS"
 		WarningLevel="3"
 		DisableSpecificWarnings="4522;4251;4800"
@@ -21,8 +21,12 @@
 		Name="VCLinkerTool"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
-		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)cegui-0.6.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)enet-1.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)freealut-1.1.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libogg-1.1.3\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)ogre-1.4.9\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)openal-1.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)tcl-8.5.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)zlib-1.2.3\lib\$(ConfigurationName)&quot;"
+		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)cegui-0.6.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)enet-1.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)freealut-1.1.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libogg-1.1.3\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)ogre-1.4.9\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)openal-1.1\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)tcl-8.5.2\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)zlib-1.2.3\lib\$(ConfigurationName)&quot;;&quot;$(LibDir)lua-5.1.3\lib\$(ConfigurationName)&quot;"
 		SubSystem="1"
 		ImportLibrary="$(IntDir)\$(TargetName).lib"
 		TargetMachine="1"
+	/>
+	<UserMacro
+		Name="LibOutDir"
+		Value="$(RootDir)build\"
 	/>
 	<UserMacro
Index: code/branches/buildsystem2/visual_studio/vc8/ceguilua.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/ceguilua.vsprops	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/ceguilua.vsprops	(revision 2509)
@@ -13,5 +13,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="CEGUIBase$(CS).lib"
+		AdditionalDependencies="CEGUIBase$(CS).lib lua$(CS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/core.vcproj	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/core.vcproj	(revision 2509)
@@ -153,4 +153,30 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\CMakeLists.txt"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="path $(LibDir)\..\..\bin\$(SolutionName)\$(ConfigurationName); %path%&#x0D;&#x0A;cd $(RootDir)\bin&#x0D;&#x0A;echo $cfile &quot;CommandExecutor.h&quot; &gt; $(RootDir)\src\core\tolua.pkg&#x0D;&#x0A;echo $cfile &quot;Script.h&quot; &gt;&gt; $(RootDir)\src\core\tolua.pkg&#x0D;&#x0A;$(OutDir)\toluaexe$(CS).exe -n Core -w $(RootDir)\src\core\ -s $(RootDir)\src\tolua\all.lua -o ToluaBindCore.cc -H ToluaBindCore.h tolua.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\core\Script.h;$(RootDir)\src\core\CommandExecutor.h"
+						Outputs="$(RootDir)\src\core\ToluaBindCore.cc; $(RootDir)\src\core\ToluaBindCore.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="path $(LibDir)\..\..\bin\$(SolutionName)\$(ConfigurationName); %path%&#x0D;&#x0A;cd $(RootDir)\bin&#x0D;&#x0A;echo $cfile &quot;CommandExecutor.h&quot; &gt; $(RootDir)\src\core\tolua.pkg&#x0D;&#x0A;echo $cfile &quot;Script.h&quot; &gt;&gt; $(RootDir)\src\core\tolua.pkg&#x0D;&#x0A;$(OutDir)\toluaexe$(CS).exe -n Core -w $(RootDir)\src\core\ -s $(RootDir)\src\tolua\all.lua -o ToluaBindCore.cc -H ToluaBindCore.h tolua.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\core\Script.h;$(RootDir)\src\core\CommandExecutor.h"
+						Outputs="$(RootDir)\src\core\ToluaBindCore.cc; $(RootDir)\src\core\ToluaBindCore.h"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\..\src\core\ConfigFileManager.cc"
 				>
@@ -196,38 +222,8 @@
 				>
 			</File>
-			<Filter
-				Name="tolua"
-				>
-				<File
-					RelativePath="..\..\src\core\tolua\tolua.pkg"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCustomBuildTool"
-							Description="Generating tolua bind files..."
-							CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen_orxonox\toluagen_orxonox$(CS).exe&quot; -n Core -o $(RootDir)/src/core/tolua/tolua_bind.cc -H $(RootDir)/src/core/tolua/tolua_bind.h $(RootDir)/src/core/tolua/tolua.pkg&#x0D;&#x0A;"
-							AdditionalDependencies="$(RootDir)\src\core\Script.h;$(RootDir)\src\core\CommandExecutor.h"
-							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCustomBuildTool"
-							Description="Generating tolua bind files..."
-							CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen_orxonox\toluagen_orxonox$(CS).exe&quot; -n Core -o $(RootDir)/src/core/tolua/tolua_bind.cc -H $(RootDir)/src/core/tolua/tolua_bind.h $(RootDir)/src/core/tolua/tolua.pkg&#x0D;&#x0A;"
-							AdditionalDependencies="$(RootDir)\src\core\Script.h;$(RootDir)\src\core\CommandExecutor.h"
-							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\..\src\core\tolua\tolua_bind.cc"
-					>
-				</File>
-			</Filter>
+			<File
+				RelativePath="..\..\src\core\ToluaBindCore.cc"
+				>
+			</File>
 			<Filter
 				Name="command"
@@ -445,4 +441,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\tolua_bind.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ToluaBindCore.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\XMLIncludes.h"
 				>
@@ -641,12 +645,4 @@
 				<File
 					RelativePath="..\..\src\core\XMLPort.h"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="tolua"
-				>
-				<File
-					RelativePath="..\..\src\core\tolua\tolua_bind.h"
 					>
 				</File>
Index: code/branches/buildsystem2/visual_studio/vc8/core.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/core.vsprops	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/core.vsprops	(revision 2509)
@@ -13,5 +13,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib tcl85t.lib"
+		AdditionalDependencies="OgreMain$(CS).lib tcl85t.lib lua$(CS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/lua.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/lua.vcproj	(revision 2507)
+++ 	(revision )
@@ -1,372 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua"
-	ProjectGUID="{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets=".\debug.vsprops;.\lua.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets=".\release.vsprops;.\lua.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\lua\lapi.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lauxlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lbaselib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lcode.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldblib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldebug.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldo.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lfunc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lgc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\linit.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\liolib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llex.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmathlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmem.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\loadlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lobject.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lopcodes.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\loslib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lparser.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstate.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstring.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstrlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltable.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltablib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lundump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lvm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lzio.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\lua\lapi.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lauxlib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lcode.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldebug.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldo.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lfunc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lgc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llex.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llimits.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmem.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lobject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lopcodes.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lparser.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstate.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstring.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltable.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lua.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lua.hpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\luaconf.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lualib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lundump.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lvm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lzio.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/lua.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/lua.vsprops	(revision 2507)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="LUA_BUILD_AS_DLL"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/lua_static.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/lua_static.vcproj	(revision 2507)
+++ 	(revision )
@@ -1,354 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua_static"
-	ProjectGUID="{8F5B7ED0-D380-4B4F-A744-3A568718176C}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="4"
-			InheritedPropertySheets=".\debug.vsprops;.\lua_static.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="4"
-			InheritedPropertySheets=".\release.vsprops;.\lua_static.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\lua\lapi.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lauxlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lbaselib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lcode.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldblib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldebug.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldo.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lfunc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lgc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\linit.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\liolib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llex.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmathlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmem.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\loadlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lobject.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lopcodes.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\loslib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lparser.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstate.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstring.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstrlib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltable.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltablib.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lundump.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lvm.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lzio.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\lua\lapi.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lauxlib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lcode.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldebug.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ldo.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lfunc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lgc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llex.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\llimits.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lmem.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lobject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lopcodes.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lparser.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstate.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lstring.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltable.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\ltm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lua.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lua.hpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\luaconf.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lualib.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lundump.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lvm.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\lua\lzio.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/lua_static.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/lua_static.vsprops	(revision 2507)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua_static"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/orxonox.vcproj	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/orxonox.vcproj	(revision 2509)
@@ -76,4 +76,6 @@
 			<Tool
 				Name="VCPostBuildEventTool"
+				Description="Copying files from init folder..."
+				CommandLine="for %%a in ($(RootDir)\bin\msvc\$(ConfigurationName)\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;rem for %%a in ($(RootDir)\init\common\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;"
 			/>
 		</Configuration>
@@ -139,4 +141,6 @@
 			<Tool
 				Name="VCPostBuildEventTool"
+				Description="Copying files from init folder..."
+				CommandLine="for %%a in ($(RootDir)\bin\msvc\$(ConfigurationName)\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;rem for %%a in ($(RootDir)\init\common\*) do replace %%a $(OutDir). /A &gt;nul&#x0D;&#x0A;"
 			/>
 		</Configuration>
@@ -155,4 +159,30 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\CMakeLists.txt"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="path $(LibDir)\..\..\bin\$(SolutionName)\$(ConfigurationName); %path%&#x0D;&#x0A;cd $(RootDir)\bin&#x0D;&#x0A;echo $cfile &quot;gui/GUIManager.h&quot; &gt; $(RootDir)\src\orxonox\tolua.pkg&#x0D;&#x0A;&quot;$(OutDir)\toluaexe$(CS).exe&quot; -n Orxonox -w $(RootDir)\src\orxonox\ -s $(RootDir)\src\tolua\all.lua -o ToluaBindOrxonox.cc -H ToluaBindOrxonox.h tolua.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\orxonox\gui\GUIManager.h"
+						Outputs="$(RootDir)\src\orxonox\ToluaBindOrxonox.cc; $(RootDir)\src\orxonox\ToluaBindOrxonox.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="path $(LibDir)\..\..\bin\$(SolutionName)\$(ConfigurationName); %path%&#x0D;&#x0A;cd $(RootDir)\bin&#x0D;&#x0A;echo $cfile &quot;gui/GUIManager.h&quot; &gt; $(RootDir)\src\orxonox\tolua.pkg&#x0D;&#x0A;&quot;$(OutDir)\toluaexe$(CS).exe&quot; -n Orxonox -w $(RootDir)\src\orxonox\ -s $(RootDir)\src\tolua\all.lua -o ToluaBindOrxonox.cc -H ToluaBindOrxonox.h tolua.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\orxonox\gui\GUIManager.h"
+						Outputs="$(RootDir)\src\orxonox\ToluaBindOrxonox.cc; $(RootDir)\src\orxonox\ToluaBindOrxonox.h"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\GraphicsEngine.cc"
 				>
@@ -193,4 +223,24 @@
 				RelativePath="..\..\src\orxonox\Settings.cc"
 				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\ToluaBindOrxonox.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="0"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="0"
+					/>
+				</FileConfiguration>
 			</File>
 			<Filter
@@ -635,54 +685,4 @@
 			</Filter>
 			<Filter
-				Name="tolua"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\tolua\tolua.pkg"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCustomBuildTool"
-							Description="Generating tolua bind files..."
-							CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen_orxonox\toluagen_orxonox$(CS).exe&quot; -n Orxonox -o $(RootDir)/src/orxonox/tolua/tolua_bind.cc -H $(RootDir)/src/orxonox/tolua/tolua_bind.h $(RootDir)/src/orxonox/tolua/tolua.pkg&#x0D;&#x0A;"
-							AdditionalDependencies="$(RootDir)\src\orxonox\gui\GUIManager.h"
-							Outputs="$(RootDir)\src\orxonox\tolua\tolua_bind.cc; $(RootDir)\src\orxonox\tolua\tolua_bind.h"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCustomBuildTool"
-							Description="Generating tolua bind files..."
-							CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen_orxonox\toluagen_orxonox$(CS).exe&quot; -n Orxonox -o $(RootDir)/src/orxonox/tolua/tolua_bind.cc -H $(RootDir)/src/orxonox/tolua/tolua_bind.h $(RootDir)/src/orxonox/tolua/tolua.pkg&#x0D;&#x0A;"
-							AdditionalDependencies="$(RootDir)\src\orxonox\gui\GUIManager.h"
-							Outputs="$(RootDir)\src\orxonox\tolua\tolua_bind.cc; $(RootDir)\src\orxonox\tolua\tolua_bind.h"
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\tolua\tolua_bind.cc"
-					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-						/>
-					</FileConfiguration>
-				</File>
-			</Filter>
-			<Filter
 				Name="overlays"
 				>
@@ -838,4 +838,12 @@
 				>
 			</File>
+			<File
+				RelativePath="..\..\src\orxonox\tolua_bind.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\ToluaBindOrxonox.h"
+				>
+			</File>
 			<Filter
 				Name="objects"
@@ -1159,12 +1167,4 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\WindowEventListener.h"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="tolua"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\tolua\tolua_bind.h"
 					>
 				</File>
Index: code/branches/buildsystem2/visual_studio/vc8/orxonox.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/orxonox.vsprops	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/orxonox.vsprops	(revision 2509)
@@ -15,5 +15,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib CEGUIBase$(CS).lib"
+		AdditionalDependencies="OgreMain$(CS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib CEGUIBase$(CS).lib lua$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 		IgnoreDefaultLibraryNames=""
Index: code/branches/buildsystem2/visual_studio/vc8/orxonox_vc8.sln
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/orxonox_vc8.sln	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/orxonox_vc8.sln	(revision 2509)
@@ -2,143 +2,59 @@
 Microsoft Visual Studio Solution File, Format Version 9.00
 # Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "orxonox", "orxonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
-	EndProjectSection
-EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "cpptcl", "cpptcl.vcproj", "{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tinyxml", "tinyxml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluaexe", "toluaexe.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
 	ProjectSection(ProjectDependencies) = postProject
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen_orxonox", "toluagen_orxonox.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
-		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen", "toluagen.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
-		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 		{EA969DF2-70AF-46E6-BBE2-E03112E04CB8} = {EA969DF2-70AF-46E6-BBE2-E03112E04CB8}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "orxonox", "orxonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
+	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ois", "ois.vcproj", "{EA969DF2-70AF-46E6-BBE2-E03112E04CB8}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "externals", "externals", "{B9D56701-B4DB-43F8-9920-241CA418C1CE}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_static", "tolua_static.vcproj", "{C6692661-9160-49E6-B109-A155F9485402}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua_static", "lua_static.vcproj", "{8F5B7ED0-D380-4B4F-A744-3A568718176C}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
 EndProject
 Global
@@ -160,8 +76,4 @@
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.ActiveCfg = Release|Win32
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.Build.0 = Release|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.ActiveCfg = Debug|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.Build.0 = Debug|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.ActiveCfg = Release|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.Build.0 = Release|Win32
 		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.ActiveCfg = Debug|Win32
 		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.Build.0 = Debug|Win32
@@ -188,8 +100,4 @@
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.ActiveCfg = Release|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.Build.0 = Release|Win32
 		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.ActiveCfg = Debug|Win32
 		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.Build.0 = Debug|Win32
@@ -200,12 +108,4 @@
 		{EA969DF2-70AF-46E6-BBE2-E03112E04CB8}.Release|Win32.ActiveCfg = Release|Win32
 		{EA969DF2-70AF-46E6-BBE2-E03112E04CB8}.Release|Win32.Build.0 = Release|Win32
-		{C6692661-9160-49E6-B109-A155F9485402}.Debug|Win32.ActiveCfg = Debug|Win32
-		{C6692661-9160-49E6-B109-A155F9485402}.Debug|Win32.Build.0 = Debug|Win32
-		{C6692661-9160-49E6-B109-A155F9485402}.Release|Win32.ActiveCfg = Release|Win32
-		{C6692661-9160-49E6-B109-A155F9485402}.Release|Win32.Build.0 = Release|Win32
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Debug|Win32.ActiveCfg = Debug|Win32
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Debug|Win32.Build.0 = Debug|Win32
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.ActiveCfg = Release|Win32
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -215,12 +115,8 @@
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{EA969DF2-70AF-46E6-BBE2-E03112E04CB8} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
-		{C6692661-9160-49E6-B109-A155F9485402} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 	EndGlobalSection
 EndGlobal
Index: code/branches/buildsystem2/visual_studio/vc8/tolua.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/tolua.vsprops	(revision 2507)
+++ code/branches/buildsystem2/visual_studio/vc8/tolua.vsprops	(revision 2509)
@@ -12,3 +12,7 @@
 		DisableSpecificWarnings="4996"
 	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua$(CS).lib"
+	/>
 </VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/tolua_static.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/tolua_static.vcproj	(revision 2507)
+++ 	(revision )
@@ -1,170 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_static"
-	ProjectGUID="{C6692661-9160-49E6-B109-A155F9485402}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="4"
-			InheritedPropertySheets=".\debug.vsprops;.\tolua_static.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="4"
-			InheritedPropertySheets=".\release.vsprops;.\tolua_static.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLibrarianTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua_event.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua_is.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua_map.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua_push.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua_to.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua_event.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/tolua_static.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/tolua_static.vsprops	(revision 2507)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_static"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/toluaexe.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluaexe.vcproj	(revision 2509)
+++ code/branches/buildsystem2/visual_studio/vc8/toluaexe.vcproj	(revision 2509)
@@ -0,0 +1,164 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="toluaexe"
+	ProjectGUID="{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\debug.vsprops;.\toluaexe.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\release.vsprops;.\toluaexe.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/toluaexe.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluaexe.vsprops	(revision 2509)
+++ code/branches/buildsystem2/visual_studio/vc8/toluaexe.vsprops	(revision 2509)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="toluaexe"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua$(CS).lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/toluagen.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluagen.vcproj	(revision 2507)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="toluagen"
-	ProjectGUID="{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets=".\debug.vsprops;.\toluagen.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets=".\release.vsprops;.\toluagen.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/toluagen.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluagen.vsprops	(revision 2507)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="toluagen"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(IntDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/buildsystem2/visual_studio/vc8/toluagen_orxonox.vcproj
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluagen_orxonox.vcproj	(revision 2507)
+++ 	(revision )
@@ -1,202 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="toluagen_orxonox"
-	ProjectGUID="{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	RootNamespace="orxonox"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets=".\debug.vsprops;.\toluagen_orxonox.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets=".\release.vsprops;.\toluagen_orxonox.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua-5.1.pkg"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCustomBuildTool"
-						Description="Generating tolua bind files..."
-						CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen\toluagen$(CS).exe&quot; -n tolua -o $(RootDir)/src/tolua/toluabind_orxonox.c -H $(RootDir)/src/tolua/toluabind_orxonox.h $(RootDir)/src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
-						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
-						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCustomBuildTool"
-						Description="Generating tolua bind files..."
-						CommandLine="&quot;$(RootDir)\build\$(SolutionName)\$(ConfigurationName)\toluagen\toluagen$(CS).exe&quot; -n tolua -o $(RootDir)/src/tolua/toluabind_orxonox.c -H $(RootDir)/src/tolua/toluabind_orxonox.h $(RootDir)/src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
-						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
-						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind_orxonox.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind_orxonox.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/branches/buildsystem2/visual_studio/vc8/toluagen_orxonox.vsprops
===================================================================
--- code/branches/buildsystem2/visual_studio/vc8/toluagen_orxonox.vsprops	(revision 2507)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="toluagen_orxonox"
-	InheritedPropertySheets=".\directories.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(IntDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
